Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class LimitExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.naming.NamingException
                  javax.naming.LimitExceededException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SizeLimitExceededException, TimeLimitExceededException

    public class LimitExceededException

extends NamingException

This exception is thrown when a method terminates abnormally due to a user or system specified limit. This is different from a InsufficientResourceException in that LimitExceededException is due to a user/system specified limit. For example, running out of memory to complete the request would be an insufficient resource. The client asking for 10 answers and getting back 11 is a size limit exception.

Examples of these limits include client and server configuration limits such as size, time, number of hops, etc.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`LimitExceededException()` Constructs a new instance of LimitExceededException with all name resolution fields and explanation initialized to null.
`LimitExceededException(String explanation)` Constructs a new instance of LimitExceededException using an explanation.

Method Summary

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LimitExceededException

    public LimitExceededException()

  Constructs a new instance of LimitExceededException with all name resolution fields and explanation initialized to null.

### LimitExceededException

    public LimitExceededException(String explanation)

  Constructs a new instance of LimitExceededException using an explanation. All other fields default to null.

  Parameters:
    `explanation` - Possibly null detail about this exception.
  See Also:
    `Throwable.getMessage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.